> ## Documentation Index
> Fetch the complete documentation index at: https://docs.justanotheruptime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get statistics for a monitor



## OpenAPI

````yaml /openapi.json get /monitors/{id}/statistics
openapi: 3.0.0
info:
  title: Uptime Monitor API
  description: >-
    API documentation for the Uptime Monitor application. This API allows users
    to create and manage website monitors, perform checks, and view statistics.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.justanotheruptime.com
security: []
tags:
  - name: auth
    description: Authentication endpoints
  - name: projects
    description: Project management endpoints
  - name: monitors
    description: Monitor management endpoints
  - name: checks
    description: Check-related endpoints
  - name: statistics
    description: Monitor statistics endpoints
paths:
  /monitors/{id}/statistics:
    get:
      tags:
        - Monitors
      summary: Get statistics for a monitor
      operationId: MonitorController_getStatistics
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Return the monitor statistics.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MonitorStatisticsDto'
        '404':
          description: Monitor not found.
      security:
        - bearer: []
components:
  schemas:
    MonitorStatisticsDto:
      type: object
      properties:
        uptime:
          type: number
          description: The uptime percentage
        averageResponseTime:
          type: number
          description: The average response time in milliseconds
        totalChecks:
          type: number
          description: The total number of checks performed
        successfulChecks:
          type: number
          description: The number of successful checks
        failedChecks:
          type: number
          description: The number of failed checks
        lastCheck:
          type: object
          description: The last check performed
      required:
        - uptime
        - averageResponseTime
        - totalChecks
        - successfulChecks
        - failedChecks
        - lastCheck
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````